
Foreman - Bug #626

Safemode template rendering in Production mode does not show errors to the user

01/27/2011 04:53 PM - Justin Sherrill

Status: Closed   

Priority: Normal   

Assignee: Justin Sherrill   

Category: Web Interface   

Target version: 0.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If rails is running in production mode and an error is hit with the template rendering, the error will be printed to the logs, but not the

screen.  This would make it difficult for users to debug.

Associated revisions

Revision 5f24d903 - 02/01/2011 02:52 PM - Justin Sherrill

Fixes #626 - Render error directly in case of sandbox rendering, so can tell what went wrong

History

#1 - 02/01/2011 05:40 PM - Justin Sherrill

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 5f24d9038d1337e3d18fad356e051dcc55146101.

#2 - 02/24/2011 10:39 AM - Ohad Levy

- Status changed from Ready For Testing to Closed

- Target version set to 0.2
